Possible arcanist bug upon install

While trying to do a new installation of arcanist, following https://secure.phabricator.com/book/phabricator/article/arcanist/#installing-arcanist, I came upon the above error.
After looking inside the file where the Exception was thrown I saw that it was edited 21 days ago.
So I reverted back to the parent of that commit.

After reverting I was able to follow the other necessary steps again and now Arcanist works as intended.

Not sure if I need to report this here or some other place but just wanted to let someone know that:

  • the documentation may be incomplete
  • there is some error in the code
  • or I did something else wrong that was fixed by reverting.

Thanks, I filed this upstream as https://secure.phabricator.com/T13497 and it should now be fixed. The easiest way to pick up the fix is to run git pull in arcanist/.

See also https://secure.phabricator.com/T13488.